dbscripts - Bug #2000

[db-import-pkg] Needs to share *-keyring packages between architectures
2018-09-21 11:18 PM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

Currently, there's no automated process for copying archlinux32-keyring from core-i686 to libre-x86_64 or libre-armv7h. Likewise for
archlinuxarm-keyring.

I'm not sure what a good solution looks like.

History

#1 - 2018-09-25 05:25 AM - lukeshu

| committed a db-import-keyring program to git, but it doesn't import the source-packages...

which | now realize is fine, because Arch 32 and Arch ARM don't publish those.

#2 - 2018-09-25 05:26 AM - lukeshu

- Assignee set to lukeshu

#3 - 2018-09-25 11:38 PM - lukeshu
- % Done changed from 0 to 90

Hopefully fixed in v20180925 with the addition of db-import-keyring. We'll see that all goes well, then blacklist archlinux{32,arm}-keyring in
blacklist.txt.

#4 - 2018-09-27 03:58 PM - lukeshu
- % Done changed from 90 to 100

- Status changed from open to fixed

As of dbscripts v20180925.2, db-import-keyring is working splendidly.

I've now blacklisted archlinux32-keyring and archlinuxarm-keyring to prevent them from being imported by db-import-pkg.
